package org.blue.club.entities.vo.data;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Table("club_auth_permission")
@Schema(name = "社团权限/权限组关联")
@Data
public class ClubAuthPermissionVo extends BaseDataVo {
    @Schema(description = "权限组ID")
    @Column("auth_id")
    private long authId;
    @Schema(description = "权限ID")
    @Column("permission_id")
    private long permissionId;
}
