package org.blue.club.utils;

import jakarta.annotation.Nullable;

import java.util.function.Function;

public class NullableUtils {
    public static <T, R> R ifNonNullDoElse(@Nullable T value, Function<? super T, ? extends R> handle, R defaultValue) {
        if (value == null) return defaultValue;
        return handle.apply(value);
    }
}
