package org.blue.club.entities.dto.chess.packet;

import org.blue.club.entities.dto.chess.Room;
import org.blue.club.entities.dto.user.User;

import java.util.UUID;

public record RoomInfoPacket(UUID roomId, User whiteUser, User blackUser, Room.RoomState state, byte[][] pieces,
                             boolean whiteRequestRestart, boolean blackRequestRestart, boolean canWhiteDown) {
}
