package org.blue.club.entities.dto.user.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.RequiredArgsConstructor;

@Schema(name = "用户修改用户名请求体")
@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class UserRenameRequest {
    @Schema(description = "新用户名")
    private final String newName;
    @Schema(description = "用户ID", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Long id;
}

